Skip to main content
GET
Trending feeds

Node.js SDK

🔗 SDK Method: fetchTrendingFeed Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

limit
integer<int32>
default:10

Number of results to fetch

Required range: 1 <= x <= 10
Example:

10

cursor
string

Pagination cursor

viewer_fid
integer

Providing this will return a feed that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
time_window
enum<string>
default:24h

Time window for trending casts (7d window for channel feeds only)

Available options:
1h,
6h,
12h,
24h,
7d
Example:

"24h"

channel_id
string

Channel ID to filter trending casts. Less active channels might have no casts in the time window selected. Provide either channel_id or parent_url, not both.

Example:

"neynar"

parent_url
string

Parent URL to filter trending casts. Less active channels might have no casts in the time window selected. Provide either channel_id or parent_url, not both.

Example:

"chain://eip155:1/erc721:0xd4498134211baad5846ce70ce04e7c4da78931cc"

provider
enum<string>
default:neynar

The provider of the trending casts feed.

Available options:
neynar
Example:

"neynar"

Response

Success

casts
Cast · object[]
required
next
NextCursor · object
required

Returns next cursor